Bug 836163 - Review Request: compton - Compositor for X
Review Request: compton - Compositor for X
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 05:17 EDT by Mario Blättermann
Modified: 2012-07-21 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-14 17:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-06-28 05:17:08 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/compton.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/compton-0.1-20120603gitd52f7a0.fc17.src.rpm
Description:
Compton is a compositor for X, and a fork of xcompmgr-dana.

Fedora Account System Username:mariobl

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4204055

Compton ships a script named "settrans" which sets the transparency of a window. For the time being, we don't have a "settrans" script or binary in Fedora, only a network script in GNU Hurd is known to me. But to avoid naming conflicts in the future, I've filed a bug report: https://github.com/chjj/compton/issues/33
Comment 1 Peter Lemenkov 2012-06-28 08:11:32 EDT
I'll review it
Comment 2 Peter Lemenkov 2012-06-28 08:44:26 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is NOT silent

work ~/Desktop: rpmlint compton-*
compton.x86_64: W: spelling-error %description -l en_US xcompmgr -> composer
compton.x86_64: W: spelling-error %description -l en_US dana -> Dana, Adana, data

^^^ these messages can be ignored safely.

compton.x86_64: W: no-manual-page-for-binary settrans

^^^ likewise.

compton-debuginfo.x86_64: E: debuginfo-without-sources

^^^ this one can not. See below.

2 packages and 0 specfiles checked; 1 errors, 3 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

- The package MUST meet the Packaging Guidelines. 

-- First the package must be built with the Fedora $CFLAGS (which is the reason that it has empty debuginfo). Please, use the following trick to adjust cflags 

%build
CFLAGS="%{optflags}" make %{?_smp_mflags}

-- Please drop an extension from a man-page. This is quite unlikely possibility but Fedora potentially could change the compression method (or even drop its usage at all) for the man-pages. Use wildcard instead. E.g. %{_mandir}/man1/%{name}.1*

-- The settrans script requires xorg-x11-utils so please add this as a requirement:

Requires: xorg-x11-utils

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.

- The License field in the package spec file MUST match the actual license. An what I see at the LICENSE is definitely not a "Copyright only" but rather a BSD:

https://fedoraproject.org/wiki/Licensing/BSD#3ClauseBSD
https://fedoraproject.org/wiki/Licensing/BSD#2ClauseBSD

So proper tag is BSD.

+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum chjj-compton-d52f7a0.tar.gz*
a2a6d89d00d2b2a1b4340c5762010bfdbf6769928d8553a4b7dd3ca2ad332e78  chjj-compton-d52f7a0.tar.gz
a2a6d89d00d2b2a1b4340c5762010bfdbf6769928d8553a4b7dd3ca2ad332e78  chjj-compton-d52f7a0.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


Please fix/explain issues and I'll finish reviewing it.
Comment 3 Mario Blättermann 2012-07-03 15:52:45 EDT
Thanks for your hints. Additionally, I've used some tips from a user of fedoraforum.de [1], regarding the version numbering.

License: I've inherited the license declaration and some other things from the xcompmgr package, now changed to BSD according to your explanation.

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/compton.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/compton-0-0.1.20120603gitd52f7a0.fc17.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4216815

[1] http://fedoraforum.de/viewtopic.php?f=49&t=22639&p=126443#p126439
Comment 4 Peter Lemenkov 2012-07-04 03:56:04 EDT
(In reply to comment #3)

> New files:
> Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/compton.spec
> SRPM URL:
> http://mariobl.fedorapeople.org/Review/SRPMS/compton-0-0.1.
> 20120603gitd52f7a0.fc17.src.rpm

Ok, looks good now. I even switched from good old xcompmgr / transset to this one.

> Thanks for your hints. Additionally, I've used some tips from a user of
> fedoraforum.de [1], regarding the version numbering.
...
> [1] http://fedoraforum.de/viewtopic.php?f=49&t=22639&p=126443#p126439

Registerwalled.

Anyway I don't see any other issues so this package is

APPROVED.
Comment 5 Mario Blättermann 2012-07-04 14:00:08 EDT
Thanks for your review.

New Package SCM Request
=======================
Package Name: compton
Short Description: Compositor for X
Owners: mariobl
Branches: f16 f17 el6
InitialCC: mariobl
Comment 6 Gwyn Ciesla 2012-07-04 17:09:14 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-05 15:32:59 EDT
compton-0-0.1.20120603gitd52f7a0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/compton-0-0.1.20120603gitd52f7a0.fc16
Comment 8 Fedora Update System 2012-07-05 15:33:09 EDT
compton-0-0.1.20120603gitd52f7a0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/compton-0-0.1.20120603gitd52f7a0.fc17
Comment 9 Fedora Update System 2012-07-05 15:33:19 EDT
compton-0-0.1.20120603gitd52f7a0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/compton-0-0.1.20120603gitd52f7a0.el6
Comment 10 Fedora Update System 2012-07-05 19:04:10 EDT
compton-0-0.1.20120603gitd52f7a0.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2012-07-14 17:56:55 EDT
compton-0-0.1.20120603gitd52f7a0.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-07-14 17:57:32 EDT
compton-0-0.1.20120603gitd52f7a0.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-07-21 15:25:07 EDT
compton-0-0.1.20120603gitd52f7a0.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.